MBSINIT(3)

NAME
mbsinit - determines whether the state object is in initial state

SYNOPSIS
#include <wchar.h>
int
mbsinit(const mbstate_t *ps);

DESCRIPTION
mbsinit() determines whether the state object pointed to by ps is in initial conversion state, or not.

ps may be a NULL pointer. In this case, mbsinit() will always return non-zero.

RETURN VALUES
mbsinit() returns:

0   The current state is not in initial state.

non-zero
    The current state is in initial state or ps is a NULL pointer.

ERRORS
No errors are defined.

STANDARDS
The mbsinit() function conforms to ISO/IEC 9899/AMD1:1995 (“ISO C90, Amendment 1”).